package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.UserRoleType;
import com.sa.ibiz.demo.demo.service.UserRoleTypeService;
import com.sa.ibiz.demo.demo.service.dto.UserRoleTypeSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/userroletype")
public class UserRoleTypeResource
{
	@Autowired
	private UserRoleTypeService service;


	@PostMapping(value = "/update")
	public ResponseEntity<UserRoleType> update(@Validated @RequestBody UserRoleType data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色类型[update]操作发生错误","UserRoleType",data.getUserroletypeid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<UserRoleType> checkKey(@Validated @RequestBody UserRoleType data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色类型[checkKey]操作发生错误","UserRoleType",data.getUserroletypeid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<UserRoleType> create(@Validated @RequestBody UserRoleType data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色类型[create]操作发生错误","UserRoleType",data.getUserroletypeid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<UserRoleType> get(@Validated @PathVariable String id){
		UserRoleType data=new UserRoleType();
		data.setUserroletypeid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("用户角色类型[get]操作发生错误","UserRoleType",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<UserRoleType> getDraft(@Validated @RequestBody UserRoleType data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色类型[getDraft]操作发生错误","UserRoleType","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<UserRoleType> remove(@Validated @RequestBody UserRoleType data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色类型[remove]操作发生错误","UserRoleType",data.getUserroletypeid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<UserRoleType>> searchDefaultPage(@Validated @RequestBody UserRoleTypeSearchFilter filter){
		Page<UserRoleType> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<UserRoleType>> listDefault(@Validated @RequestBody UserRoleTypeSearchFilter filter){
		List<UserRoleType> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
